﻿package monkeykong.ingame
{
    import flash.display.Bitmap;
    import flash.display.BitmapData;
    import flash.geom.Matrix;
    import monkeykong.G;
    import stego.core.GameObject;

    /**
     * ...
     * @author Mike Meyer
     */
    public class Wall extends GameObject
    {
        [Embed(source='../../../assets/verttile.png')]
        private static const BMP_CLASS:Class;
        private static const BMP:Bitmap = new BMP_CLASS();
        private static const BMP_DATA:BitmapData = BMP.bitmapData;

        private var _height:Number = G.TILE_SIZE;
        override public function get height():Number { return _height; }
        override public function set height(value:Number):void
        {
            _height = value;
            Redraw(width, value);
        }

        override public function Init():void
        {
            super.Init();
            AffectedByGravity = false;
            Redraw(G.TILE_SIZE, G.TILE_SIZE);
        }

        private function Redraw(width:Number, height:Number):void
        {
            graphics.clear();

            graphics.beginBitmapFill( BMP_DATA, null, true);
            graphics.drawRect(
                0,
                0,
                width,
                height );
            graphics.endFill();
        }
    }

}
