﻿package stego.script.step
{
    import stego.script.Step;

    /**
     * Step to just make it wait N frames
     * @author Mike Meyer
     */
    public class Wait extends Step
    {
        private var framesToWait:Number;
        private var countDown:Number;

        public function Wait(framesToWait:Number=1)
        {
            framesToWait = framesToWait;
            countDown = framesToWait;
        }

        public override function Execute(timeDelta:Number):Boolean
        {
            --countDown;

            return (countDown <= 0);
        }

        /**
         * Go back to the beginning
         */
        public override function Restart():void
        {
            countDown = framesToWait;
        }
    }

}
