﻿package monkeykong
{
    import flash.events.Event;
    import flash.media.Sound;
    import flash.media.SoundChannel;
    import flash.utils.getTimer;
    import stego.Sounds;
    import stego.Util;

    /**
     * MonkeyKong sounds enum
     */
    public class Sounds
    {
        [Embed(source='../../assets/wallbreak.mp3')]
        private static const wallbreakSoundClass:Class;
        public static const wallbreakSound:Sound = new wallbreakSoundClass();

        [Embed(source='../../assets/screenchange.mp3')]
        private static const screenchangeSoundClass:Class;
        public static const screenchangeSound:Sound = new screenchangeSoundClass();

        [Embed(source='../../assets/jump.mp3')]
        private static const jumpSoundClass:Class;
        public static const jumpSound:Sound = new jumpSoundClass();

        [Embed(source='../../assets/backflip.mp3')]
        private static const backflipSoundClass:Class;
        public static const backflipSound:Sound = new backflipSoundClass();

        [Embed(source='../../assets/step0.mp3')]
        private static const step0:Class;
        [Embed(source='../../assets/step1.mp3')]
        private static const step1:Class;
        private static const stepSounds:/*Sound*/Array = [  new step0(), new step0(), new step0(), new step1() ];
        public static function get randomStepSound():Sound { return Util.RandomOneOf(stepSounds); }

        [Embed(source='../../assets/skid.mp3')]
        private static const skidSoundClass:Class;
        public static const skidSound:Sound = new skidSoundClass();

        [Embed(source='../../assets/nanner.mp3')]
        private static const nannerSoundClass:Class;
        public static const nannerSound:Sound = new nannerSoundClass();
    }

}
