package stego.util
{
    /**
     * static methods that are handy for working with strings
     */
    public class StringUtil
    {
        /**
         * returns true IFF string b appears at the very beginning of string a
         */
        public static function StartsWith(a:String, b:String):Boolean
        {
            return (0 == a.indexOf(b));
        }

        /**
         * returns true IFF string b appears at the very end of string a
         */
        public static function EndsWith(a:String, b:String):Boolean
        {
            return (a.length>=b.length)&&((a.length-b.length) == a.lastIndexOf(b));
        }
    }
}
