﻿package stego.widget
{
    import stego.widget.TextField;

    /**
     * ...
     * @author Mike Meyer
     */
    public class DisappearingText extends TextField
    {
        private var _timeRemaining:Number = 1;
        public function get TimeRemaining():Number { return _timeRemaining; }
        public function set TimeRemaining(value:Number):void { _timeRemaining = value; }

        private var _fadeTime:Number = 0.5;
        public function get FadeTime():Number { return _fadeTime; }
        public function set FadeTime(value:Number):void { _fadeTime = value; }

        public override function Update(elapsedTime:Number):void
        {
            super.Update(elapsedTime);
            TimeRemaining -= elapsedTime;

            if (TimeRemaining < FadeTime)
            {
                alpha = TimeRemaining / FadeTime;
            }
            else if ( TimeRemaining > 0)
            {
                alpha = 1;
            }
            else
            {
                isAlive = false;
            }
        }
    }

}
